Bug 250883 - [new port] www/webtrees20: Online genealogy viewer, version 2.0
Summary: [new port] www/webtrees20: Online genealogy viewer, version 2.0
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-05 17:15 UTC by Andre Rikkert de Koe - ARK-ICT
Modified: 2020-11-13 02:26 UTC (History)
1 user (show)

See Also:


Attachments
the new port in shell archive format (485.62 KB, text/plain)
2020-11-05 17:15 UTC, Andre Rikkert de Koe - ARK-ICT
no flags Details
the new port in shell archive format (485.57 KB, text/plain)
2020-11-07 09:20 UTC, Andre Rikkert de Koe - ARK-ICT
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Rikkert de Koe - ARK-ICT 2020-11-05 17:15:17 UTC
Created attachment 219372 [details]
the new port in shell archive format

https://webtrees.net/download shows an 1.7. and 2.0 branch.
1.7 is already available as port www/webtrees
2.0 is is this new port
They can be installed concurrently the same system
Comment 1 Andre Rikkert de Koe - ARK-ICT 2020-11-05 17:25:33 UTC
Here the results of tests :

root@web-int:~/newport # cat testport 
#!/bin/sh
cd /usr/ports/www/webtrees20
set -x
set -e
uname -a
make deinstall
make clean
echo "=== Testing with FreeBSD port tool ==="
pkg which $(which port)
port test
echo "=== Testing according to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html ==="
make stage
make package
make install
echo "=== Test it installs next webtrees 1.17 ==="
pkg info | grep webtrees
make deinstall
make clean
chown testuser .
echo "id; make package" | su testuser
make package
make clean
root@web-int:~/newport # ./testport 
+ set -e
+ uname -a
FreeBSD web-int 12.1-RELEASE-p10 FreeBSD 12.1-RELEASE-p10 GENERIC  amd64
+ make deinstall
===>  Deinstalling for webtrees20
===>   webtrees20 not installed, skipping
+ make clean
===>  Cleaning for webtrees20-2.0.10
+ echo '=== Testing with FreeBSD port tool ==='
=== Testing with FreeBSD port tool ===
+ which port
+ pkg which /usr/local/bin/port
/usr/local/bin/port was installed by package porttools-1.09
+ port test
===> Using ports tree /usr/ports
===> Validating port with portlint
looks fine.
===> flags: PREFIX=/tmp/webtrees20-2.0.10 NO_DEPENDS=yes PKG_DBDIR=/tmp/pkg_db.2YcgNN43 PORTSDIR=/usr/ports --
===> Cleaning workspace before port test
===>  Cleaning for webtrees20-2.0.10
===>  License LGPL3 accepted by the user
===> Fetching all distfiles required by webtrees20-2.0.10 for building
===>  Extracting for webtrees20-2.0.10
=> SHA256 Checksum OK for webtrees-2.0.10.zip.
===>  Patching for webtrees20-2.0.10
===>  Configuring for webtrees20-2.0.10
===>  Staging for webtrees20-2.0.10
===>   Generating temporary packing list
/bin/mkdir -p /usr/ports/www/webtrees20/work/stage/tmp/webtrees20-2.0.10/www/webtrees20
====> Compressing man pages (compress-man)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
===>  Building package for webtrees20-2.0.10
===>  Installing for webtrees20-2.0.10
===>  Checking if webtrees20 is already installed
===>   Registering installation for webtrees20-2.0.10
Installing webtrees20-2.0.10...
The following configuration will need to be done prior to using
webtrees for the first time:

1. For installation on the apache web server, add the following to your
   apache site configuration, and restart the web server:

	Alias /webtrees20 /tmp/webtrees20-2.0.10/www/webtrees20/

	### Add the AcceptPathInfo directive only for Apache 2.0.30
	### or later.
	AcceptPathInfo On

	<Directory /tmp/webtrees20-2.0.10/www/webtrees20>
		AllowOverride None
		Order Allow,Deny
		Allow from all
	</Directory>

2. Webtrees uses a MySQL database.  Configure a MySQL webtrees user
   and database using commands such as (substitute PASSWD for something
   of your own choosing):

	mysql> create user webtrees20@localhost identified by PASSWD;
	mysql> create database webtrees20;
	mysql> grant all on webtrees20.* to webtrees20@localhost;

3. Configure webtrees by browsing to the webtrees URL:
	http://your.server.com/webtrees20/
   and you should be taken to the setup wizard, which will lead you
   through setting up webtrees: asking for the database server, database
   user and database name, and then assist you in creating a webtrees
   admin account, etc.

===>  Checking pkg info
webtrees20-2.0.10
Name           : webtrees20
Version        : 2.0.10
Installed on   : Thu Nov  5 18:21:13 2020 CET
Origin         : www/webtrees20
Architecture   : FreeBSD:12:*
Prefix         : /tmp/webtrees20-2.0.10
Categories     : www
Licenses       : LGPL3
Maintainer     : fbsd@opal.com
WWW            : http://webtrees.net/
Comment        : Online genealogy viewer
Annotations    :
	cpe            : cpe:2.3:a:webtrees20:webtrees20:2.0.10:::::freebsd12:x64
Flat size      : 68.7MiB
Description    :
webtrees is the web's leading online collaborative genealogy
application. webtrees works from standard GEDCOM files, and is
therefore compatible with every major desktop application.  webtrees
aims to be efficient and effective by using the right combination
of third-party tools, design techniques and open standards.

WWW: http://webtrees.net/

===>  Checking shared library dependencies
===>  Deinstalling for webtrees20
===>   Deinstalling webtrees20-2.0.10
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	webtrees20: 2.0.10

Number of packages to be removed: 1

The operation will free 69 MiB.
[1/1] Deinstalling webtrees20-2.0.10...
[1/1] Deleting files for webtrees20-2.0.10: 100%
=========================================================================
There remains some webtrees local configuration in /tmp/webtrees20-2.0.10/www/webtrees20/data.

If you plan on reinstalling webtrees, leave this configuration there and
it will be reused by the new version.

If you are completely uninstalling webtrees, please delete this directory
and /tmp/webtrees20-2.0.10/www/webtrees20 by hand.

You may want to save your GEDCOM file(s) from the MySQL server, too.  To
do that, you will need to reinstall webtrees, log on as an administrator
and select:
	My Page >> GEDCOM Administration >> Download
This will let you save your family tree data in a foo.ged GEDCOM file
which you can upload into most other ancestry software or websites.
=========================================================================
===> Extra files and directories check
===> Cleaning up after port test
===>  Cleaning for webtrees20-2.0.10
===>  Removing existing /tmp/webtrees20-2.0.10 dir
===> Done.
+ echo '=== Testing according to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html ==='
=== Testing according to https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html ===
+ make stage
===>  License LGPL3 accepted by the user
===>   webtrees20-2.0.10 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by webtrees20-2.0.10 for building
===>  Extracting for webtrees20-2.0.10
=> SHA256 Checksum OK for webtrees-2.0.10.zip.
===>  Patching for webtrees20-2.0.10
===>  Configuring for webtrees20-2.0.10
===>  Staging for webtrees20-2.0.10
===>   webtrees20-2.0.10 depends on file: /usr/local/include/php/main/php.h - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/calendar.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/dom.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/filter.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/gd.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/json.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/pdo_mysql.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/session.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/simplexml.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/xml.so - found
===>   Generating temporary packing list
/bin/mkdir -p /usr/ports/www/webtrees20/work/stage/usr/local/www/webtrees20
====> Compressing man pages (compress-man)
+ make package
===>  Building package for webtrees20-2.0.10
+ make install
===>  Installing for webtrees20-2.0.10
===>  Checking if webtrees20 is already installed
===>   Registering installation for webtrees20-2.0.10
Installing webtrees20-2.0.10...
The following configuration will need to be done prior to using
webtrees for the first time:

1. For installation on the apache web server, add the following to your
   apache site configuration, and restart the web server:

	Alias /webtrees20 /usr/local/www/webtrees20/

	### Add the AcceptPathInfo directive only for Apache 2.0.30
	### or later.
	AcceptPathInfo On

	<Directory /usr/local/www/webtrees20>
		AllowOverride None
		Order Allow,Deny
		Allow from all
	</Directory>

2. Webtrees uses a MySQL database.  Configure a MySQL webtrees user
   and database using commands such as (substitute PASSWD for something
   of your own choosing):

	mysql> create user webtrees20@localhost identified by PASSWD;
	mysql> create database webtrees20;
	mysql> grant all on webtrees20.* to webtrees20@localhost;

3. Configure webtrees by browsing to the webtrees URL:
	http://your.server.com/webtrees20/
   and you should be taken to the setup wizard, which will lead you
   through setting up webtrees: asking for the database server, database
   user and database name, and then assist you in creating a webtrees
   admin account, etc.

+ echo '=== Test it installs next webtrees 1.17 ==='
=== Test it installs next webtrees 1.17 ===
+ pkg info
+ grep webtrees
webtrees-1.7.13                Online genealogy viewer
webtrees20-2.0.10              Online genealogy viewer
+ make deinstall
===>  Deinstalling for webtrees20
===>   Deinstalling webtrees20-2.0.10
Updating database digests format: 100%
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	webtrees20: 2.0.10

Number of packages to be removed: 1

The operation will free 69 MiB.
[1/1] Deinstalling webtrees20-2.0.10...
[1/1] Deleting files for webtrees20-2.0.10: 100%
=========================================================================
There remains some webtrees local configuration in /usr/local/www/webtrees20/data.

If you plan on reinstalling webtrees, leave this configuration there and
it will be reused by the new version.

If you are completely uninstalling webtrees, please delete this directory
and /usr/local/www/webtrees20 by hand.

You may want to save your GEDCOM file(s) from the MySQL server, too.  To
do that, you will need to reinstall webtrees, log on as an administrator
and select:
	My Page >> GEDCOM Administration >> Download
This will let you save your family tree data in a foo.ged GEDCOM file
which you can upload into most other ancestry software or websites.
=========================================================================
+ make clean
===>  Cleaning for webtrees20-2.0.10
+ chown testuser .
+ echo 'id; make package'
+ su testuser
uid=1003(testuser) gid=1003(testuser) groups=1003(testuser)
===>  License LGPL3 accepted by the user
===>   webtrees20-2.0.10 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by webtrees20-2.0.10 for building
===>  Extracting for webtrees20-2.0.10
=> SHA256 Checksum OK for webtrees-2.0.10.zip.
===>  Patching for webtrees20-2.0.10
===>  Configuring for webtrees20-2.0.10
===>  Staging for webtrees20-2.0.10
===>   webtrees20-2.0.10 depends on file: /usr/local/include/php/main/php.h - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/calendar.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/dom.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/filter.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/gd.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/json.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/pdo_mysql.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/session.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/simplexml.so - found
===>   webtrees20-2.0.10 depends on file: /usr/local/lib/php/20170718-zts/xml.so - found
===>   Generating temporary packing list
/bin/mkdir -p /usr/ports/www/webtrees20/work/stage/usr/local/www/webtrees20
====> Compressing man pages (compress-man)
===>  Building package for webtrees20-2.0.10
+ make package
+ make clean
===>  Cleaning for webtrees20-2.0.10
root@web-int:~/newport #
Comment 2 Andre Rikkert de Koe - ARK-ICT 2020-11-07 09:20:29 UTC
Created attachment 219422 [details]
the new port in shell archive format

fixed typos
Comment 3 Mikael Urankar freebsd_committer 2020-11-12 18:13:12 UTC
Why not ugprading www/webtrees to 2.0?
Comment 4 Andre Rikkert de Koe - ARK-ICT 2020-11-12 19:25:00 UTC
(In reply to Mikael Urankar from comment #3)

Mikael,

Thanks for your comment.
I choosed not to upgrade, because I am not port maintainer of www/webtrees and I want users to be able to use the major release they want.
Also when users want to upgrade they could install webtrees 2.0 next to webtrees 1.7 on the same server and compare the results.

Regards

Andre